# Pages: list

Retrieves the list of [pages](https://developers.google.com/blogger/docs/3.0/reference/pages) for a [blog](https://developers.google.com/blogger/docs/3.0/reference/blogs#resource).
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/pages/list#try-it) or [see an example](https://developers.google.com/blogger/docs/3.0/reference/pages/list#examples).

[Authorization](https://developers.google.com/blogger/docs/3.0/using#auth) is required if the pages are on a blog that is private. If the pages are on a blog that is public, then this method can be called without authorization.

## Request

### HTTP request

```
GET https://www.googleapis.com/blogger/v3/blogs/blogId/pages
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | The ID of the blog to fetch pages from. |
| **Optional parameters** |||
| `fetchBodies` | `boolean` | Whether to retrieve the Page bodies. |
| `status` | `string` | Acceptable values are: - "`draft`": Draft (unpublished) Pages - "`imported`": Pages that have had their content removed - "`live`": Pages that are publicly visible |
| `view` | `string` | Acceptable values are: - "`ADMIN`": Admin level detail - "`AUTHOR`": Author level detail - "`READER`": Admin level detail |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "blogger#pageList",
  "items": [
    pages Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | The kind of this entity. Always `blogger#pageList` |   |
| `items[]` | `list` | The list of Pages Resources for the specified blog. |   |

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/blogger/docs/3.0/libraries) for a list of supported languages).

### Java

Uses the [Java client library](http://code.google.com/p/google-api-java-client/)

```java
// The BlogId for the http://buzz.blogger.com/ blog.
String BUZZ_BLOG_ID = "2399953";

// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
	JSON_FACTORY, new LocalServerReceiver(),
	Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.
Blogger blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY)
	.setApplicationName("Blogger-PagesList-Snippet/1.0")
	.setHttpRequestInitializer(credential).build();

// The request action.
List pagesListAction = blogger.pages().list(BUZZ_BLOG_ID);

// Restrict the result content to just the data we need.
pagesListAction.setFields("items(content,title,updated,url)");

// This step sends the request to the server.
PageList pages = pagesListAction.execute();

// Now we can navigate the response.
if (pages.getItems() != null && !pages.getItems().isEmpty()) {
	for (Page page : pages.getItems()) {
		System.out.println("Title: " + page.getTitle());
		System.out.println("URL: " + page.getUrl());
		System.out.println("Last Updated:" + page.getUpdated());
		System.out.println("Content: " + page.getContent());
	}
}
```

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.